# Server info / specs

## Hardware

Weeaboo.space runs on my Proxmox cluster in a virtual machine named "Droite". The hosts each have a E3-1220v2 CPU and 32GB of RAM with 2x1 Gbit network connectivity to a dedicated switch. The virtual machine currently has these specs assigned to it:

- 2 CPU cores
- 2GB RAM
- 80GB Storage

Storage is provided by a Qnap TS-963X over iSCSI on a dedicated VLAN. Currently the virtual machine runs on HDD storage, although I plan to get it onto solid-state storage once I can find a good deal on some quality SSDs. The NAS has over 12TB of capacity, so expansion is not an issue.

The server is located in Florø, Norway.

## Software

Droite runs Debian 10 and currently hosts the weeaboo.space pleroma instance exclusively.

Pleroma runs with an unprivileged user (no sudo access) and cannot see processes initiated by other users in applications such as `htop`. Pleroma is configured to be reachable over IPv4, no IPv6 yet unfortunately. I am working on getting some kind of IPv6 setup in place.

Caching of proxied media is handled by a separate nginx VM named "Loki". As such, proxied media does not affect the storage of the instance itself.

Various rate-limits are in place to prevent spam, although I will not publicly disclose them all, if you get stopped with an error code 503 during sign-up, please wait a few minutes and try again. If you spam an extreme amount of posts, you will also be limited.

## Backups

Full backups of Pleroma's VM run nightly, these are stored on a separate storage server, so if the main storage server fails entirely, this will not affect the nightly backups. Generally I keep backups a week or two back in time.